#/**
#         ogr CheckProgram 
#@brief   Función para determinar si el programa/s están disponibles
#@param 1 programa o programas a comprobar
#@return  0 si está disponible.
#@return  7 si NO está disponible
#@exception OG_ERR_FORMAT     formato incorrecto.
#@exception OG_ERR_NOTEXEC     programas no disponibles.
#@note    
#@TODO: en pruebas
#@version 0.91 - Definición de 
#@author  Antonio Doblas Viso, Universidad de Málaga
#@date    2010/05/09
#*/ ##
# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME \"str_program1 program2 programN\" " \
		   "$FUNCNAME \"partimage partclone mbuffer\" "
    return
fi

# Error si no se recibe 1 parámetro.
[ $# == 1 ] || ogr RaiseError $OG_ERR_FORMAT || return $?

local PERROR PLOG
PERROR=0
PLOG=" "
for i in `echo $1`
do
  if [ ! `which $i` ] 
     then
     	PERROR=1
     	PLOG="$PLOG $i" 
     fi
done
if [ "$PERROR" == "1" ] 
then
	ogr RaiseError $OG_ERR_NOTEXEC "$PLOG" || return $?
else
	return 0
fi
